﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Controls.Charts;

namespace SilverlightApplication1
{
    public class CustomMapper: ValueMapper
    {
        public override void MapValue(TreemapNode node)
        {
            if (node.DataContext is Product)
            {
                Product p = (Product) node.DataContext;

                switch (p.ProductStatus)
                {
                    // New Product
                    case 0:
                        node.Fill = new SolidColorBrush(Colors.Yellow);
                        break;
                    // Existing Product
                    case 1:
                        node.Fill = new SolidColorBrush(Colors.Green);
                        break;
                    // Retired Product
                    case 2:
                        node.Fill = new SolidColorBrush(Colors.Red);
                        break;

                }
               
            }
        }
        public override void ResetValue(TreemapNode node)
        { }

    }
}
